[arch-commits] Commit in ostree/repos/extra-x86_64 (1908.patch PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Sun Sep 8 09:16:54 UTC 2019


    Date: Sunday, September 8, 2019 @ 09:16:53
  Author: arojas
Revision: 362037

archrelease: copy trunk to extra-x86_64

Added:
  ostree/repos/extra-x86_64/PKGBUILD
    (from rev 362036, ostree/trunk/PKGBUILD)
Deleted:
  ostree/repos/extra-x86_64/1908.patch
  ostree/repos/extra-x86_64/PKGBUILD

------------+
 1908.patch |   71 -----------------------------
 PKGBUILD   |  144 +++++++++++++++++++++++++++++------------------------------
 2 files changed, 73 insertions(+), 142 deletions(-)

Deleted: 1908.patch
===================================================================
--- 1908.patch	2019-09-08 09:16:32 UTC (rev 362036)
+++ 1908.patch	2019-09-08 09:16:53 UTC (rev 362037)
@@ -1,71 +0,0 @@
-From 745d7fd55d3cfce0c121401158ffefbdbecd4644 Mon Sep 17 00:00:00 2001
-From: Dan Nicholson <nicholson at endlessm.com>
-Date: Thu, 15 Aug 2019 22:24:54 -0600
-Subject: [PATCH] lib/gpg: Only show gpg-connect-agent stderr on failures
-
-When listing GPG keys, the temporary GPG homedir will be constructed by
-simply copying the remote's trusted keys to the pubring.gpg file. In
-that case, no GPG operations spawning gpg-agent will be run. When
-gpg-connect-agent is run to cleanup the homedir, it will helpfully print
-on stderr that it's starting gpg-agent like so:
-
-gpg-connect-agent: no running gpg-agent - starting '/usr/bin/gpg-agent'
-gpg-connect-agent: waiting for the agent to come up ... (5s)
-gpg-connect-agent: connection to agent established
-
-Send gpg-connect-agent's stderr to a pipe and only send it to the
-application's stderr if an error was encountered.
-
-Fixes: #1907
----
- src/libotutil/ot-gpg-utils.c | 25 +++++++++++++++++--------
- 1 file changed, 17 insertions(+), 8 deletions(-)
-
-diff --git a/src/libotutil/ot-gpg-utils.c b/src/libotutil/ot-gpg-utils.c
-index cf5ce3ea7..35e854b32 100644
---- a/src/libotutil/ot-gpg-utils.c
-+++ b/src/libotutil/ot-gpg-utils.c
-@@ -25,6 +25,7 @@
- 
- #include <stdlib.h>
- 
-+#include <gio/gunixoutputstream.h>
- #include "libglnx.h"
- 
- /* Like glnx_throw_errno_prefix, but takes @gpg_error */
-@@ -445,19 +446,27 @@ ot_gpgme_kill_agent (const char *homedir)
- 
-   /* Run gpg-connect-agent killagent /bye */
-   g_autoptr(GError) local_error = NULL;
--  g_autoptr(GSubprocess) proc = g_subprocess_new(G_SUBPROCESS_FLAGS_STDOUT_SILENCE,
--                                                 &local_error,
--                                                 "gpg-connect-agent",
--                                                 "--homedir",
--                                                 homedir,
--                                                 "killagent",
--                                                 "/bye",
--                                                 NULL);
-+  GSubprocessFlags flags = G_SUBPROCESS_FLAGS_STDOUT_SILENCE | G_SUBPROCESS_FLAGS_STDERR_PIPE;
-+  g_autoptr(GSubprocess) proc = g_subprocess_new (flags,
-+                                                  &local_error,
-+                                                  "gpg-connect-agent",
-+                                                  "--homedir",
-+                                                  homedir,
-+                                                  "killagent",
-+                                                  "/bye",
-+                                                  NULL);
-   if (proc == NULL) {
-     g_debug ("Spawning gpg-connect-agent failed: %s", local_error->message);
-     return;
-   }
-   if (!g_subprocess_wait_check (proc, NULL, &local_error)) {
-+    /* Dump out stderr on failures */
-+    GInputStream *stderr_in = g_subprocess_get_stderr_pipe (proc);
-+    g_autoptr(GOutputStream) stderr_out =
-+      G_OUTPUT_STREAM (g_unix_output_stream_new (STDERR_FILENO, FALSE));
-+    g_output_stream_splice (stderr_out, stderr_in, G_OUTPUT_STREAM_SPLICE_NONE,
-+                            NULL, NULL);
-+
-     g_debug ("Killing GPG agent with gpg-connect-agent failed: %s",
-              local_error->message);
-     return;

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-08 09:16:32 UTC (rev 362036)
+++ PKGBUILD	2019-09-08 09:16:53 UTC (rev 362037)
@@ -1,71 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Mirco Tischler <mt-ml at gmx dot de>
-
-pkgname=ostree
-pkgver=2019.3
-pkgrel=2
-pkgdesc="Operating system and container binary deployment and upgrades"
-url="https://ostree.readthedocs.org/en/latest/"
-arch=(x86_64)
-license=(GPL)
-depends=(glib2 xz zlib libsoup gpgme libarchive fuse2 util-linux mkinitcpio openssl avahi)
-makedepends=(e2fsprogs gobject-introspection gtk-doc libxslt systemd git python)
-checkdepends=(parallel syslinux gjs cpio elfutils)
-_commit=b15ed42111c25bd3fcb0d9bdc425f79f771fcece  # tags/v2019.3^0
-source=("git+https://github.com/ostreedev/ostree#commit=$_commit"
-        "git+https://github.com/mendsley/bsdiff"
-        "git+https://gitlab.gnome.org/GNOME/libglnx.git"
-        1908.patch)
-sha256sums=('SKIP'
-            'SKIP'
-            'SKIP'
-            'f2fadec4f29418a61164b5b50ee9829124e2b6427d820dc064a3597aace55ad9')
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.bsdiff.url "$srcdir/bsdiff"
-  git config --local submodule.libglnx.url "$srcdir/libglnx"
-  git submodule update
-
-  patch -p1 -i "$srcdir/1908.patch"
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
-  cd $pkgname
-  git describe | sed 's/^v//;s/-/+/g'
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib \
-    --with-mkinitcpio \
-    --with-openssl \
-    --with-builtin-grub2-mkconfig \
-    --enable-experimental-api \
-    --disable-static \
-    --enable-gtk-doc
-
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname
-  make check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: ostree/repos/extra-x86_64/PKGBUILD (from rev 362036, ostree/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-08 09:16:53 UTC (rev 362037)
@@ -0,0 +1,73 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Mirco Tischler <mt-ml at gmx dot de>
+
+pkgname=ostree
+pkgver=2019.3
+pkgrel=3
+pkgdesc="Operating system and container binary deployment and upgrades"
+url="https://ostree.readthedocs.org/en/latest/"
+arch=(x86_64)
+license=(GPL)
+depends=(glib2 xz zlib libsoup gpgme libarchive fuse2 util-linux mkinitcpio openssl avahi)
+makedepends=(e2fsprogs gobject-introspection gtk-doc libxslt systemd git python)
+checkdepends=(parallel syslinux gjs cpio elfutils)
+_commit=b15ed42111c25bd3fcb0d9bdc425f79f771fcece  # tags/v2019.3^0
+source=("git+https://github.com/ostreedev/ostree#commit=$_commit"
+        "git+https://github.com/mendsley/bsdiff"
+        "git+https://gitlab.gnome.org/GNOME/libglnx.git")
+sha256sums=('SKIP'
+            'SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.bsdiff.url "$srcdir/bsdiff"
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  git cherry-pick -n 522d31b2d4604026f1c0a442887ca9d4b319e9cc
+
+# Fix freezes in Plasma
+  git cherry-pick -n d14472a7f04d02d392d2754cfb3cec881aadc704
+  git cherry-pick -n e49060c207fd201f71316bf174e1b467827abc7a
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe | sed 's/^v//;s/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib \
+    --with-mkinitcpio \
+    --with-openssl \
+    --with-builtin-grub2-mkconfig \
+    --enable-experimental-api \
+    --disable-static \
+    --enable-gtk-doc
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  make check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list